<?php

namespace Dgcl\ProjectsBundle\Entity;

/**
 * Utils
 */

class Utils
{
    
     const UPLOAD_DIR = 'uploads/' ;

    
    public static function getDateLimite(){
        
        return new \DateTime( date('Y'). '-04-15');
        
    }

    public static function getQuestions(){
        
        return array(
            
                    '1_1_1'    =>  'indicateur_piece_jointe_1_1_1'  ,  
                    '1_1_2'    =>  'indicateur_piece_jointe_1_1_2'  ,  
                    '2_1'      =>  'indicateur_piece_jointe_2_1'  ,  
                    '3_1'      =>  'indicateur_piece_jointe_3_1'  ,  
                    '2_2'      =>  'indicateur_piece_jointe_2_2'  ,  
                    '1_3_1'    =>  'indicateur_piece_jointe_1_3_1'  ,  
                    '2_3_2'    =>  'indicateur_piece_jointe_2_3_2'  ,  
                    '2_3_3'    =>  'indicateur_piece_jointe_2_3_3'  ,  
                    '1_4_1'    =>  'indicateur_piece_jointe_1_4_1'  ,  
                    '2_4_2'    =>  'indicateur_piece_jointe_2_4_2'  ,  
                    '1_6'      =>  'indicateur_piece_jointe_1_6'  ,  
                    '1_8_1'    =>  'indicateur_piece_jointe_1_8_1'  ,  
                    '1_8_2'    =>  'indicateur_piece_jointe_1_8_2'  ,  
                    '1_10_1'   =>  'indicateur_piece_jointe_1_10_1' ,  
                    '1_10_2'   =>  'indicateur_piece_jointe_1_10_2'  
            
        );
        
    }
    
    public static function getYesNo(){
        
        return array( 'oui' => 'oui' , 'non' => 'non' ) ;
        
    }

    
    public static function getChoices04(){
        
        return array( '' => 'please_select' , '0' => '0' , '1' => '1' , '2' => '2' , '3' => '3' , '4' => '4' , 'plus_que_4' => 'plus_que_4' ) ;
        
    }
	
    public static function getMois(){
        $mois = array();
        for($i = 1; $i <= 12 ; $i ++ ){
            $mois[$i] = date('F', strtotime( '2016-'.$i.'-01 00:00:00' )) ; 
        }
        return $mois ;
    }
    
    public static function getChoicesQuestion_1_1_3(){
        
        $choices =    array( 
            
                    'copies_invitation' => 'copies_invitation' ,
                    'copies_pv_reunion' => 'copies_pv_reunion' ,
                    'pas_de_pieces_jointe' => 'pas_de_pieces_jointe' ,
            
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_1_2_3(){
        
        $choices =    array( 
            
                    'copies_pv_reunion' => 'copies_pv_reunion' ,
                    'pas_de_pieces_jointe' => 'pas_de_pieces_jointe' ,
            
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_1_3_2(){
        
        $choices =    array( 
            
                    'oui_regarde_piece_jointe' => 'oui_regarde_piece_jointe' ,
                    'non_pas_de_preuve' => 'non_pas_de_preuve' ,
            
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_2_1_3(){
        
        $choices =    array( 
            
                    'oui_document_sur_le_site' => 'oui_document_sur_le_site' ,
                    'non_quelque_document' => 'non_quelque_document' ,
                    'non_pas_de_document_publies' => 'non_pas_de_document_publies'
            
            ) ;
        
        return $choices ;
    }
    
    
    public static function getChoicesQuestion_2_2_2(){
        
        $choices =    array( 
            
                    'oui_regarde_piece_jointe' => 'oui_regarde_piece_jointe' ,
                    'non' => 'non' ,
            
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_3_1_3(){
        
        $choices =    array( 
                    'oui_regarde_piece_jointe' => 'oui_regarde_piece_jointe'             
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_3_2_3(){
        
        $choices =    array( 
                    'preuve_regarde_piece_jointe' => 'preuve_regarde_piece_jointe'    ,
                    'non_pas_de_preuve_1' => 'non_pas_de_preuve_1'
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_4_1_3(){
        
        $choices =    array( 
                    'programme_pratique_existant' => 'programme_pratique_existant'    ,
                    'programme_pratique_n_existe_pas' => 'programme_pratique_n_existe_pas'
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_4_2_3(){
        
        $choices =    array( 
                    'rapport_resultat_existant' => 'rapport_resultat_existant'    ,
                    'rapport_resultat_n_existe_pas' => 'rapport_resultat_n_existe_pas'
            ) ;
        
        return $choices ;
    }
    
    public static function getChoicesQuestion_6_1_2(){
        
        $choices =    array( 
                    'tableau_existant' => 'tableau_existant'    ,
                    'tableau_n_existe_pas' => 'tableau_n_existe_pas'
            ) ;
        
        return $choices ;
    }
  
    
    
    public static function getChoicesQuestion_8_1_2(){
        
        $choices =    array( 
                    'oui_planning_contient_les_informations' => 'oui_planning_contient_les_informations'    ,
                    'le_planning_contient_les_informations' => 'le_planning_contient_quelques_informations' , 
                    'non_planning_ne_contient_pas_les_informations' => 'non_planning_ne_contient_pas_les_informations'
            ) ;
        
        return $choices ;
    }
  
    
    
    public static function getChoicesQuestion_8_1_3(){
        
        $choices =    array( 
                    'copie_planing_a_jour' => 'copie_planing_a_jour'    ,
                    'copie_pv_assemble_municipale' => 'copie_pv_assemble_municipale' , 
                    'pas_decopie_en_appui' => 'pas_decopie_en_appui'
            ) ;
        
        return $choices ;
    }
  
    public static function getChoicesQuestion_10_1_2(){
        
        $choices =    array( 
                    'regarde_piece_jointe_a_propos_decision' => 'regarde_piece_jointe_a_propos_decision'    ,
                    'decision_manquante' => 'decision_manquante'
            ) ;
        
        return $choices ;
    }
  
    public static function getChoicesQuestion_10_1_6(){
        
        $choices =    array( 
                      'oui_regarde_piece_jointe' => 'oui_regarde_piece_jointe' ,
                      'non_pas_de_rapport_de_suivi' => 'non_pas_de_rapport_de_suivi'
            ) ;
        
        return $choices ;
    }
  
  
    
    
    
    
     
}
?>